Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.score.constraint
Class IntConstraintOccurrence

    java.lang.Object
      org.drools.planner.core.score.constraint.ConstraintOccurrence
          org.drools.planner.core.score.constraint.IntConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

    public class IntConstraintOccurrence

extends ConstraintOccurrence

See Also:
  Serialized Form

Field Summary
`protected int` | `weight`

Fields inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`causes, constraintType, ruleId`

Constructor Summary
`IntConstraintOccurrence(String ruleId, ConstraintType constraintType, int weight, Object... causes)`
`IntConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)`
`IntConstraintOccurrence(String ruleId, int weight, Object... causes)`
`IntConstraintOccurrence(String ruleId, Object... causes)`

Method Summary
`boolean` | `equals(Object o)`
`int` | `getWeight()`
`int` | `hashCode()`
`String` | `toString()`

Methods inherited from class org.drools.planner.core.score.constraint.ConstraintOccurrence
`compareTo, getCauses, getConstraintType, getRuleId`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### weight

    protected int weight

Constructor Detail

### IntConstraintOccurrence

    public IntConstraintOccurrence(String ruleId,
                                   Object... causes)

### IntConstraintOccurrence

    public IntConstraintOccurrence(String ruleId,
                                   ConstraintType constraintType,
                                   Object... causes)

### IntConstraintOccurrence

    public IntConstraintOccurrence(String ruleId,
                                   int weight,
                                   Object... causes)

### IntConstraintOccurrence

    public IntConstraintOccurrence(String ruleId,
                                   ConstraintType constraintType,
                                   int weight,
                                   Object... causes)

Method Detail

### getWeight

    public int getWeight()

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `ConstraintOccurrence`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `ConstraintOccurrence`

### toString

    public String toString()

  Overrides:
    `toString` in class `ConstraintOccurrence`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.